Re: Gramps 5.0.0-alpha2 released

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0-alpha2 released

Fredrik
On 10. juni 2017 21:51, Josip wrote:
> The Gramps team releases version v5.0.0-alpha2, an experimental
> pre-release.
>
> You can get Gramps 5.0.0-alpha2 from the GitHub page.
> https://github.com/gramps-project/gramps/releases
>

I went ahead and got the latest, downloaded, unpacked and did:

   % python setup.py build
   % sudo python setup.py install

      And then the installer stopped and showed me this: Gramps requires
Python 3.2 or later.

My python is 3.5.3, as shown here:
% python --version
Python 3.5.3

Im running this on Ubuntu 17.04.

Is this the usual PEBCAK or is something wrong with release?

--
Fredrik Lindseth



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0-alpha2 released

Josip
11.6.2017. u 0:17, Fredrik je napisao/la:

> On 10. juni 2017 21:51, Josip wrote:
>> The Gramps team releases version v5.0.0-alpha2, an experimental
>> pre-release.
>>
>> You can get Gramps 5.0.0-alpha2 from the GitHub page.
>> https://github.com/gramps-project/gramps/releases
>>
>
> I went ahead and got the latest, downloaded, unpacked and did:
>
>   % python setup.py build
>   % sudo python setup.py install
>
>      And then the installer stopped and showed me this: Gramps requires
> Python 3.2 or later.
>
> My python is 3.5.3, as shown here:
> % python --version
> Python 3.5.3
>
> Im running this on Ubuntu 17.04.
>
> Is this the usual PEBCAK or is something wrong with release?
>

Can't you just use python3 in commands?

--
Josip

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0-alpha2 released

Stephen George
In reply to this post by Fredrik
Hi Fredrick,

On my Ubuntu 17.04 When I type python in a terminal window I get python
2.7.13, I need to type python3 to get python 3.5.3

I notice your command line, just specifies python, .. are you sure your
getting the correct version during the install process?

On my PC

python --version  returns 2.7.13, .. so seems something is non-standard
on your Ubuntu install

Steve


On 11/06/17 08:17, Fredrik wrote:

> On 10. juni 2017 21:51, Josip wrote:
>> The Gramps team releases version v5.0.0-alpha2, an experimental
>> pre-release.
>>
>> You can get Gramps 5.0.0-alpha2 from the GitHub page.
>> https://github.com/gramps-project/gramps/releases
>>
>
> I went ahead and got the latest, downloaded, unpacked and did:
>
>   % python setup.py build
>   % sudo python setup.py install
>
>      And then the installer stopped and showed me this: Gramps
> requires Python 3.2 or later.
>
> My python is 3.5.3, as shown here:
> % python --version
> Python 3.5.3
>
> Im running this on Ubuntu 17.04.
>
> Is this the usual PEBCAK or is something wrong with release?
>
> --
> Fredrik Lindseth
>
>
>
> ------------------------------------------------------------------------------
>
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0-alpha2 released

GRAMPS - User mailing list
In reply to this post by Fredrik
Are there binaries for alpha2. If so where can I find them
TIA
JohnA


On June 10, 2017 15:52:13 Josip <[hidden email]> wrote:

> The Gramps team releases version v5.0.0-alpha2, an experimental pre-release.
>
> You can get Gramps 5.0.0-alpha2 from the GitHub page.
> https://github.com/gramps-project/gramps/releases
>
> Think on backup before upgrade!
>
> Thank you all!
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0-alpha2 released

Fredrik
In reply to this post by Stephen George
On 11. juni 2017 01:07, Stephen GEORGE wrote:
> python --version  returns 2.7.13, .. so seems something is
> non-standard on your Ubuntu install

At one point I made an alias python=python3 to get rid of python2, but
it seems like this was not such a good idea here.

When I explicitly typed % sudo python3 setup.py install  gramps 5.0.0
works like a charm :-)

And for the record:
 >>> sys.version
'3.5.3 (default, Jan 19 2017, 14:11:04) \n[GCC 6.3.0 20170118]'
 >>> sys.version_info
sys.version_info(major=3, minor=5, micro=3, releaselevel='final', serial=0)


--
Fredrik Lindseth


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0-alpha2 released

Josip
In reply to this post by GRAMPS - User mailing list
11.6.2017. u 3:43, John je napisao/la:

> Are there binaries for alpha2. If so where can I find them
> TIA
> JohnA
>
>
> On June 10, 2017 15:52:13 Josip <[hidden email]> wrote:
>
>> The Gramps team releases version v5.0.0-alpha2, an experimental
>> pre-release.
>>
>> You can get Gramps 5.0.0-alpha2 from the GitHub page.
>> https://github.com/gramps-project/gramps/releases
>>
>> Think on backup before upgrade!
>>
>> Thank you all!
>>

Windows version are now available at:
https://github.com/gramps-project/gramps/releases

--
Josip

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org